{ buildLuarocksPackage, fetchFromGitHub, fetchurl }:
buildLuarocksPackage {
  pname = "cmark";
  version = "0.30.2-1";
  knownRockspec = (fetchurl {
    url = "mirror://luarocks/cmark-0.30.2-1.rockspec";
    sha256 = "077kvl9xa9yj0fxyyxxw43k9v9dgd5f11ax8hhxj3nx8vfs5rps8";
  }).outPath;
  src = fetchFromGitHub {
    owner = "jgm";
    repo = "cmark-lua";
    rev = "0.30.2";
    hash = "sha256-6Bzq0FdyqXXiL6pLDRFbULFJpowF0P6CvAw8iqFXkkQ=";
  };

  meta = {
    homepage = "https://github.com/jgm/cmark-lua";
    description = "Lua wrapper for libcmark, CommonMark Markdown parsing\
      and rendering library";
    license.fullName = "BSD2";
  };
}
